### Function

# Dex socket_listener_accept

#### Declaration [src]

    DexFuture*
    dex_socket_listener_accept (
      GSocketListener* listener
    )

#### Description

No description available.

#### Parameters

`listener`

  Type: `GSocketListener`

  A `GSocketListener`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GSocketConnection` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.